Bug 988278 - [abrt] mate-search-tool-1.6.0-5.fc18: g_settings_set_property: Process /usr/bin/mate-search-tool was killed by signal 5 (SIGTRAP)
[abrt] mate-search-tool-1.6.0-5.fc18: g_settings_set_property: Process /usr/b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-utils (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:a9d9f33b1443a108b98e553b832...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 04:53 EDT by sabugiense
Modified: 2013-08-18 17:35 EDT (History)
5 users (show)

See Also:
Fixed In Version: mate-utils-1.6.0-7.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.76 KB, text/plain)
2013-07-25 04:53 EDT, sabugiense
no flags Details
File: cgroup (128 bytes, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: core_backtrace (1.67 KB, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: dso_list (6.81 KB, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: environ (3.30 KB, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: maps (31.63 KB, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: open_fds (341 bytes, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details
File: var_log_messages (401 bytes, text/plain)
2013-07-25 04:54 EDT, sabugiense
no flags Details

  None (edit)
Description sabugiense 2013-07-25 04:53:52 EDT
Version-Release number of selected component:
mate-search-tool-1.6.0-5.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        mate-search-tool
crash_function: g_settings_set_property
executable:     /usr/bin/mate-search-tool
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 g_settings_set_property at gsettings.c:492
 #3 object_set_property at gobject.c:1357
 #4 g_object_constructor at gobject.c:1868
 #6 g_object_new_valist at gobject.c:1835
 #8 g_settings_new at gsettings.c:869
 #9 gsearch_app_create at gsearchtool.c:2751
 #10 g_type_create_instance at gtype.c:1890
 #11 g_object_constructor at gobject.c:1854
Comment 1 sabugiense 2013-07-25 04:53:57 EDT
Created attachment 778128 [details]
File: backtrace
Comment 2 sabugiense 2013-07-25 04:54:00 EDT
Created attachment 778129 [details]
File: cgroup
Comment 3 sabugiense 2013-07-25 04:54:03 EDT
Created attachment 778130 [details]
File: core_backtrace
Comment 4 sabugiense 2013-07-25 04:54:07 EDT
Created attachment 778131 [details]
File: dso_list
Comment 5 sabugiense 2013-07-25 04:54:10 EDT
Created attachment 778132 [details]
File: environ
Comment 6 sabugiense 2013-07-25 04:54:13 EDT
Created attachment 778133 [details]
File: limits
Comment 7 sabugiense 2013-07-25 04:54:17 EDT
Created attachment 778134 [details]
File: maps
Comment 8 sabugiense 2013-07-25 04:54:20 EDT
Created attachment 778135 [details]
File: open_fds
Comment 9 sabugiense 2013-07-25 04:54:23 EDT
Created attachment 778136 [details]
File: proc_pid_status
Comment 10 sabugiense 2013-07-25 04:54:27 EDT
Created attachment 778137 [details]
File: var_log_messages
Comment 11 Wolfgang Ulbrich 2013-07-25 07:40:32 EDT
You're using xfce!
A MATE gsettings schema is missing.

 msg = 0x217f5c0 "Settings schema 'org.mate.interface' is not installed\n"
        msg_alloc = 0x217f5c0 "Settings schema 'org.mate.interface' is not installed\n"

You need to install mate-desktop package too.
Comment 12 Christoph Wickert 2013-07-26 15:46:09 EDT
If the application crashes without the schema, this is a packaging bug. The schema should be installed automatically. So you still need explicitly require mate-desktop-libs (or mate-desktop-schema or whatever you call it).

Reopening as a reminder to not forget the dependency.
Comment 13 Wolfgang Ulbrich 2013-07-27 09:06:45 EDT
Some questions.
Why need a xfce user mate-search-tool?
Is there any tool for this in xfce?
And why do the post creator not switching to MATE if he prefer more comfort?

@  Christoph Wickert
You have to talk with Dan about the mate-desktop package split, but i did say to him that i see no reason not to do this.
Comment 14 Christoph Wickert 2013-07-27 11:46:01 EDT
Wolfgang, it is not on you or me to decide what users should do. But for the record: There is no such thing in Xfce. There is catfish, written by the midori developer, so it's loosely related to Xfce but not part of it. It's written in Python and not in C and FWIW it's not really useful. So there are valid reasons to use mate-search-tool in Xfce or other desktops.

If the application crashes without the schema, then you need to require it somehow. I don't care how you do it but I would prefer splitting the mate-desktop package in a sane way that does not pull in 144 MB for just to install a tool that is less than 907 k. We want to give our users the maximum freedom and as many choices as possible.
Comment 15 Wolfgang Ulbrich 2013-07-27 11:53:29 EDT
(In reply to Christoph Wickert from comment #14)
> Wolfgang, it is not on you or me to decide what users should do. But for the
> record: There is no such thing in Xfce. There is catfish, written by the
> midori developer, so it's loosely related to Xfce but not part of it. It's
> written in Python and not in C and FWIW it's not really useful. So there are
> valid reasons to use mate-search-tool in Xfce or other desktops.
> 
> If the application crashes without the schema, then you need to require it
> somehow. I don't care how you do it but I would prefer splitting the
> mate-desktop package in a sane way that does not pull in 144 MB for just to
> install a tool that is less than 907 k. We want to give our users the
> maximum freedom and as many choices as possible.
Christoph,
I full agree with you , and also with the split of mate-desktop package.
But i have to wait until all involved persons has given there go.
So i don't do any action for the momment.
Comment 16 Fedora Update System 2013-08-08 21:17:14 EDT
mate-utils-1.6.0-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-utils-1.6.0-7.fc18
Comment 17 Fedora Update System 2013-08-08 21:17:25 EDT
mate-utils-1.6.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-utils-1.6.0-7.fc19
Comment 18 Fedora Update System 2013-08-09 23:57:55 EDT
Package mate-utils-1.6.0-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-utils-1.6.0-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14554/mate-utils-1.6.0-7.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-08-18 17:33:04 EDT
mate-utils-1.6.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-08-18 17:35:25 EDT
mate-utils-1.6.0-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.